#!/bin/bash

# Uninstall unnecessary packages
apt-get purge bsdmainutils dictionaries-common emacsen-common gnupg gnupg-agent iamerican ibritish ienglish-common installation-report ispell laptop-detect libsqlite3-0 libssl1.1 nano os-prober pinentry-curses task-english tasksel tasksel-data wamerican

# Install basic services and dependencies
apt-get --no-install-recommends install openssh-server plymouth

# Copy authorized_keys
cp basic/root/.ssh/authorized_keys /root/.ssh/authorized_keys

# Rename encrypted partition
sed -i 's/sda2_crypt/system/' /etc/crypttab
dmsetup rename sda2_crypt system
update-initramfs -u

# Set grub options
cp basic/etc/default/grub /etc/default/grub
update-grub

# Set legal banner with URL + latin2 character set
cp basic/etc/default/console-setup /etc/default/console-setup
cp basic/etc/issue /etc/issue

# Forbid login on tty1, disable tty2-6
cp basic/lib/systemd/system/getty@.service /lib/systemd/system/getty@.service
systemctl mask getty-static
